anonymous Log in
Search
Recents:
v3.0
java-l
Consulta respecto a MYSQL versión 8.0.17
09/10/19 18:48

claudio.galleguillos

Replies: 1

Estimad@s:
Buenas tardes, alguien conoce o ha hecho funcionar alguna aplicación genexus 15 U12 java - mysql con la versión 8.0.17 del motor de datos, despliega el siguiente error en tiempo de ejecución.
En las preferencias de la BD, la versión más alta es 5.7.7 o higher
javax.servlet.ServletException: com.mysql.jdbc.exceptions.jdbc4.MySQLNonTransientConnectionException: Client does not support authentication protocol requested by server; consider upgrading MySQL client
Agradezco su respuesta.
Atte.
Claudio Galleguillos
-----------------------------------------
Para Suscribirse/Desuscribirse:
http://www.gxtechnical.com/cgi-bin/hforum.exe?2,3,30,20
Por consultas owner-java-l@gxtech.com.uy
Replies

a.serna

10/10/19 04:21
Si mira primeramente descarga el driver para la version 8 de mysql, despues tienes que configurar las propiedades de conexion poniendo como default el custom driver en el cual pondras la clase del Driver que es com.mysql.cj.jdbc.Driver y en la URL ya pondras la conexion a la BD jdbc:mysql://localhost:3306/bd?useSSL=false

El 09/10/2019 13:48, Claudio Galleguillos Pérez <claudio.galleguillos@gendarmeria.cl>


Back to java-l